Skip to Content
veriom

Get repository architecture dependencies

GET
/v1/workspaces/{workspace_id}/repositories/{repository_id}/architecture/dependencies

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Query Parameters

entity_key*Entity Key
Length1 <= length <= 1000
direction?Direction
Default"both"
Value in"upstream""downstream""both"
max_depth?Max Depth
Range1 <= value <= 6
Default3
limit?Limit
Range1 <= value <= 500
Default100

Response Body

Successful Response

application/json
  1. response
audit_id*Audit Id
Formatuuid
generated_at*Generated At
Formatdate-time
max_depth*Max Depth
paths*array<>
repository_id*Repository Id
Formatuuid
root*
snapshot_id*Snapshot Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/dependencies?entity_key=string'
Example Response
{  "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",  "generated_at": "2019-08-24T14:15:22Z",  "max_depth": 0,  "paths": [    {      "confidence": "string",      "contradictions": [        {          "alternatives": [            {              "evidence_ids": [                "973ab5a6-b373-447d-ab9d-bdb660b35afc"              ],              "observed_at": "2019-08-24T14:15:22Z",              "source_keys": [                "string"              ],              "source_refs": [                "string"              ],              "value": "string"            },            {              "evidence_ids": [                "973ab5a6-b373-447d-ab9d-bdb660b35afc"              ],              "observed_at": "2019-08-24T14:15:22Z",              "source_keys": [                "string"              ],              "source_refs": [                "string"              ],              "value": "string"            }          ],          "detected_at": "2019-08-24T14:15:22Z",          "field": "string",          "resolution_summary": "string",          "resolved_at": "2019-08-24T14:15:22Z",          "state": "open"        }      ],      "direction": "upstream",      "entity_keys": [        "string"      ],      "evidence_ids": [        "string"      ],      "relationship_keys": [        "string"      ]    }  ],  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "root": {    "attributes": {},    "canonical_key": "string",    "confidence": "string",    "contradictions": [      {        "alternatives": [          {            "evidence_ids": [              "973ab5a6-b373-447d-ab9d-bdb660b35afc"            ],            "observed_at": "2019-08-24T14:15:22Z",            "source_keys": [              "string"            ],            "source_refs": [              "string"            ],            "value": "string"          },          {            "evidence_ids": [              "973ab5a6-b373-447d-ab9d-bdb660b35afc"            ],            "observed_at": "2019-08-24T14:15:22Z",            "source_keys": [              "string"            ],            "source_refs": [              "string"            ],            "value": "string"          }        ],        "detected_at": "2019-08-24T14:15:22Z",        "field": "string",        "resolution_summary": "string",        "resolved_at": "2019-08-24T14:15:22Z",        "state": "open"      }    ],    "evidence_ids": [      "string"    ],    "first_observed_at": "2019-08-24T14:15:22Z",    "kind": "string",    "last_observed_at": "2019-08-24T14:15:22Z",    "links": {      "decision_ids": [        "ee5dfe1a-ec80-4b91-a667-92bab6473bc1"      ],      "deployment_evidence_ids": [        "b9ebcd9e-d4d0-470b-b9ae-54dd726b538e"      ],      "finding_ids": [        "d5d48824-6cad-498f-8feb-561fb3cdb809"      ],      "owner_ids": [        "f08e96b0-7632-4168-a4e6-5228d054c122"      ],      "remediation_ids": [        "b8f3922c-cdec-4b4e-8fb9-135818ed224f"      ]    },    "name": "string",    "sources": [      "string"    ]  },  "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0"}